Bug 781445 - Enhance volume info to contain volume ID
Enhance volume info to contain volume ID
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
pre-release
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Vijay Bellur
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-01-13 07:56 EST by Vijay Bellur
Modified: 2013-07-24 13:28 EDT (History)
3 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:28:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vijay Bellur 2012-01-13 07:56:30 EST
Description of problem:

volume info needs to be enhanced to contain the UUID of the volume. This will help consumers of the o/p of gluster volume info.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Anand Avati 2012-01-14 05:35:15 EST
CHANGE: http://review.gluster.com/2643 (cli,glusterd: Display volume UUID in the output of 'volume info') merged in master by Anand Avati (avati@gluster.com)
Comment 2 Gowrishankar Rajaiyan 2012-05-18 05:14:36 EDT
[root@dhcp201-181 ~]# gluster volume info test4
 
Volume Name: test4
Type: Distributed-Replicate
Volume ID: 05f7e3a6-b0fb-4133-9489-1f52e7507e44
Status: Started
Number of Bricks: 2 x 2 = 4
Transport-type: tcp
Bricks:
Brick1: dhcp201-181.englab.pnq.redhat.com:/tmp/test4
Brick2: dhcp201-154.englab.pnq.redhat.com:/tmp/test4
Brick3: dhcp201-214.englab.pnq.redhat.com:/tmp/test4
Brick4: dhcp201-127.englab.pnq.redhat.com:/tmp/test4
[root@dhcp201-181 ~]# 


"Volume ID" now exists in volume info.

Verified: glusterfs-3.3.0beta4-1.x86_64

Note You need to log in before you can comment on or make changes to this bug.